import java.io.*;

/**
 *  Uses the Euclidean algorithm for calculating the greatest common divisor
 */
class Euclid {

	public static void main (String[] args) throws Exception {

		// Definitions
		InputStreamReader ipr = new InputStreamReader(System.in);
		BufferedReader keyboard = new BufferedReader(ipr);      

		int x,y, xIn, yIn;

		// Dialog
		System.out.print("Value for x: ");
		xIn = Integer.parseInt(keyboard.readLine());
		System.out.print("Value for y: ");
		yIn = Integer.parseInt(keyboard.readLine());

		// Berechnung vorbereiten
		x = xIn;
		y = yIn;

		// Euclidean algorithm
		while (x != y) {
			if (x > y) {
				x = x - y;
			}
			else {
				y = y - x; 
			}
		}

		// Ausgabe
		System.out.println("GCD(" + xIn + "," + yIn + ") = " + x);
	}

} 
